%define module	POE-Filter-IRCD
%define name	perl-%{module}
%define version	2.30
%define release	%mkrel 1

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:	    A POE-based parser for the IRC protocol
License:	    GPL
Group:		    Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/POE/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl(POE)
BuildArch:	    noarch
Buildroot:	    %{_tmppath}/%{name}-%{version}

%description
POE::Filter::IRCD is a Perl module that provides a convenient way of parsing
and creating IRC protocol lines.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/POE
%_mandir/*/*


%changelog
* Wed Feb 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.30-1mdv2007.0
+ Revision: 127192
- new version

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-1mdv2007.1
+ Revision: 84384
- new version
- Import perl-POE-Filter-IRCD



* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdv2007.0
- New version 2.1

* Mon Sep 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2007.0
- New version 2.0

* Tue Sep 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.9-1mdv2007.0
- new version
- fix sources URL

* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.8-1mdv2007.0
- New version 1.8

* Sat May 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-1mdk
- New release 1.7

* Tue May 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-1mdk
- New release 1.6

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-2mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL

* Thu Dec 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-1mdk
- New release 1.5

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-1mdk
- New release 1.4
- spec cleanup
- fix directory ownership

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdk
- new version 
- fix sources url for rpmbuildupdate

* Fri Jun 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.1-1mdk
- First Mandriva release
